Get a network policy by slug or full reference.
curl --request GET \
--url https://a.s2.dev/v1/network-policies/{id} \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"policy": {
"private_net": {
"aws": {
"vpce_ids": [
"<string>"
]
}
},
"public_net": {
"cidrs": [
"<string>"
]
}
},
"slug": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}network policies
Get a network policy by slug or full reference.
Get an S2 network policy by slug or full reference.
GET
/
network-policies
/
{id}
Get a network policy by slug or full reference.
curl --request GET \
--url https://a.s2.dev/v1/network-policies/{id} \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"policy": {
"private_net": {
"aws": {
"vpce_ids": [
"<string>"
]
}
},
"public_net": {
"cidrs": [
"<string>"
]
}
},
"slug": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Network policy concepts
Review how rules are evaluated, how tokens are bound, and how to debug denied requests.

